projects
/
invirt/packages/invirt-remote.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
Fix sipb-xen-vmcontrol to know about the new magic error code
[invirt/packages/invirt-remote.git]
/
files
/
usr
/
sbin
/
sipb-xen-vmcontrol
diff --git
a/files/usr/sbin/sipb-xen-vmcontrol
b/files/usr/sbin/sipb-xen-vmcontrol
index
dbe3c36
..
0c20109
100755
(executable)
--- a/
files/usr/sbin/sipb-xen-vmcontrol
+++ b/
files/usr/sbin/sipb-xen-vmcontrol
@@
-1,4
+1,4
@@
-#!/bin/sh
+#!/bin/bash
# sipb-xen-vmcontrol MACHINE ACTION
#
# remctl should have already verified that the user is authorized to
# sipb-xen-vmcontrol MACHINE ACTION
#
# remctl should have already verified that the user is authorized to
@@
-14,26
+14,34
@@
ACTION="$2"
MACHINE="d_$ORIGMACHINE"
case "$ACTION" in
MACHINE="d_$ORIGMACHINE"
case "$ACTION" in
- list|vcpu-list|destroy|uptime|shutdown)
+ list|vcpu-list|uptime)
xm "$ACTION" "$MACHINE"
;;
xm "$ACTION" "$MACHINE"
;;
- create|reboot)
+ destroy|shutdown)
+ xm "$ACTION" "$MACHINE"
+ /usr/sbin/sipb-xen-update-conserver </dev/null >/dev/null 2>&1 &
+ ;;
+ install|create|reboot)
+ shift; shift;
if [ "$ACTION" = "reboot" ]; then
xm destroy "$MACHINE" 2>/dev/null
else
xm list "$MACHINE" >/dev/null 2>/dev/null && echo "$MACHINE already exists" && exit 1
if [ "$ACTION" = "reboot" ]; then
xm destroy "$MACHINE" 2>/dev/null
else
xm list "$MACHINE" >/dev/null 2>/dev/null && echo "$MACHINE already exists" && exit 1
- fi
- if [ -n "$3" ]; then
- xm create sipb-database machine_name="$ORIGMACHINE" cdrom_image="$3"
+ fi
+ if [ "$ACTION" = "install" ]; then
+ xm create sipb-database machine_name="$ORIGMACHINE" installer_options="$(printf '%q ' "$@")"
+ elif [ -n "$1" ]; then
+ xm create sipb-database machine_name="$ORIGMACHINE" cdrom_image="$1"
else
xm create sipb-database machine_name="$ORIGMACHINE"
fi
else
xm create sipb-database machine_name="$ORIGMACHINE"
fi
+ (sleep 4; /usr/sbin/sipb-xen-update-conserver) </dev/null >/dev/null 2>&1 &
;;
list-long)
xm list --long "$MACHINE"
;;
*)
echo "ERROR: Invalid Command"
;;
list-long)
xm list --long "$MACHINE"
;;
*)
echo "ERROR: Invalid Command"
- exit 1
+ exit 34
;;
esac
;;
esac